import { Signer } from 'ethers';
import { Provider } from '@ethersproject/providers';
import { ISignatureMintInterface, ISignatureMint } from '../ISignatureMint';
import '@ethersproject/abi';
import '../common';

declare class ISignatureMint__factory {
    static readonly abi: ({
        anonymous: boolean;
        inputs: ({
            indexed: boolean;
            internalType: string;
            name: string;
            type: string;
            components?: undefined;
        } | {
            components: {
                internalType: string;
                name: string;
                type: string;
            }[];
            indexed: boolean;
            internalType: string;
            name: string;
            type: string;
        })[];
        name: string;
        type: string;
        outputs?: undefined;
        stateMutability?: undefined;
    } | {
        inputs: ({
            components: {
                internalType: string;
                name: string;
                type: string;
            }[];
            internalType: string;
            name: string;
            type: string;
        } | {
            internalType: string;
            name: string;
            type: string;
            components?: undefined;
        })[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
        anonymous?: undefined;
    })[];
    static createInterface(): ISignatureMintInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ISignatureMint;
}

export { ISignatureMint__factory };
